### Method

# Camel Folder take_state_filename

since: 3.58

#### Declaration [src]

    void
    camel_folder_take_state_filename (
      CamelFolder* self,
      gchar* filename
    )

#### Description [src]

Set the current state filename.

Available since: 3.58

#### Parameters

`filename`

  Type: `gchar*`

  The state filename.

  The instance takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.